/* *  This  unpublished work,  first created  in 2011  and updated  * */
/* *  thereafter,  is protected  under the  copyright laws  of the  * */
/* *  United States  and of other countries  throughout the world.  * */
/* *  Use, disassembly,  reproduction, distribution,  etc. without  * */
/* *  the   express  written   consent   of  United   Technologies  * */
/* *  Corporation is prohibited.                                    * */
/* *  Copyright United Technologies Corporation 2011.               * */
/* *  All  rights   reserved.  Information  contained   herein  is  * */
/* *  proprietary and confidential and  improper use or disclosure  * */
/* *  may result in civil and penal sanctions.                      * */

package meta.model;

/**
 * The implementation for the Mission interface
 */
public class MissionImpl implements Mission {
	/**
	 * Mission name
	 */
	private String name;
	/**
	 * Mach Number at cruise
	 */
	private double mach;
	/**
	 * Altitude at cruise
	 */
	private double alt;
	/**
	 * Thrust at cruise
	 */
	private double fn;
	/**
	 * Thrust at take off
	 */
	private double fnT;
	/* (non-Javadoc)
	 * @see meta.model.Mission#getName()
	 */
	public String getName() {
		return name;
	}
	/* (non-Javadoc)
	 * @see meta.model.Mission#getMachNumber()
	 */
	public double getMachNumber() {
		return mach;
	}
	/* (non-Javadoc)
	 * @see meta.model.Mission#getAltitude()
	 */
	public double getAltitude() {
		return alt;
	}
	/* (non-Javadoc)
	 * @see meta.model.Mission#getThrust()
	 */
	public double getThrust() {
		return fn;
	}
	/* (non-Javadoc)
	 * @see meta.model.Mission#getThrustAtTakeoff()
	 */
	public double getThrustAtTakeoff() {
		return fnT;
	}
    public MissionImpl(String name) {
    	this.name = name;
    }
}
